Subject: Labor law posters - 2017
From: "Michael B" <[email-masked]>
To: <[email-masked]>
Date: Wed, 8 Feb 2017 10:06:29 -0500

Hello Joyce.
I am reaching out to some of our previous customers to find out what they are doing currently, to fulfill their labor law requirements. According to our records, we were your labor law poster source for many years for many of your locations. I am hoping to have the opportunity to discuss this either by phone or email. If you are no longer handling these matters, it would be greatly appreciated if you could forward me with the person that currently is handling this. I thank you in advance and look forward to hearing back from you.
Sincerely,
Michael Bishop
Labor Law Poster Service